DefaultConfiguration (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.server.gcube.services.configuration
Class DefaultConfiguration

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.server.gcube.services.configuration.DefaultConfiguration

    public class DefaultConfiguration

extends Object

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static String` | `DEFAULT_SCOPE` The scope that will be used as default
`static String` | `DEFAULT_USER`
`static String` | `LIST_GHN_STARTUP`
`static String` | `LIVE_GHN_MAX_MINUTES` PROPERTIES FOR THE SWEEPER
`static String` | `RUNNING_MODE`
`static String` | `USER_CREDENTIALS` The user and its credentials Possible values for credentials: [USER,ADMIN,DEBUG] USER_CREDENTIALS = DEBUG Defines the modality in which the portlet is running possible values [STANDALONE,PORTAL,NOTDEFINED]
`static String` | `USERMAIL_TO`

Constructor Summary
`DefaultConfiguration()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_CREDENTIALS

    public static final String USER_CREDENTIALS

  The user and its credentials Possible values for credentials: [USER,ADMIN,DEBUG] USER_CREDENTIALS = DEBUG Defines the modality in which the portlet is running possible values [STANDALONE,PORTAL,NOTDEFINED]

  See Also:
    Constant Field Values

### RUNNING_MODE

    public static final String RUNNING_MODE

See Also:
  Constant Field Values

### DEFAULT_USER

    public static final String DEFAULT_USER

See Also:
  Constant Field Values

### DEFAULT_SCOPE

    public static final String DEFAULT_SCOPE

  The scope that will be used as default

  See Also:
    Constant Field Values

### USERMAIL_TO

    public static final String USERMAIL_TO

See Also:
  Constant Field Values

### LIVE_GHN_MAX_MINUTES

    public static final String LIVE_GHN_MAX_MINUTES

  PROPERTIES FOR THE SWEEPER

  See Also:
    Constant Field Values

### LIST_GHN_STARTUP

    public static final String LIST_GHN_STARTUP

See Also:
  Constant Field Values

Constructor Detail

### DefaultConfiguration

    public DefaultConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.